This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 1012974 - (CVE-2013-4385) CVE-2013-4385 chicken: buffer overrun
CVE-2013-4385 chicken: buffer overrun
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130922,repor...
: Security
Depends On: 1012977 1012979
Blocks: 1012976
  Show dependency treegraph
 
Reported: 2013-09-27 09:28 EDT by Ratul Gupta
Modified: 2014-01-27 03:39 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-24 21:40:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ratul Gupta 2013-09-27 09:28:01 EDT
Chicken, a compiler for the Scheme programming language, is found to have a buffer overrrun flaw due to the read-string! procedure from the "extras" unit, when used in a particular way.

It was found that there was a missing check for the situation when NUM was at #f (the scheme value for false) in the buffer as the buffer size, then it will read beyond the buffer until the input port is exhausted. This may result in a DoS or a remote code execution.

Though currently all stable releases are vulnerable to this flaw, there is a simple workaround to be used in code that uses read-string!: simply convert all (read-string! #f buf ...) invocations to (read-string! (string-length buf) buf ...) or, if possible, use the non-destructive read-string procedure from the same unit.

References:
http://seclists.org/oss-sec/2013/q3/677
http://lists.nongnu.org/archive/html/chicken-announce/2013-09/msg00000.html
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=724740
http://code.call-cc.org/cgi-bin/gitweb.cgi?p=chicken-core.git;a=commit;h=cd1b9775005ebe220ba11265dbf5396142e65f26
Comment 1 Ratul Gupta 2013-09-27 09:31:18 EDT
Created chicken tracking bugs for this issue:

Affects: fedora-all [bug 1012977]
Affects: epel-6 [bug 1012979]
Comment 2 Fedora Update System 2013-09-29 20:48:00 EDT
chicken-4.8.0.4-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.